## imview 1.1.9h

=== DESCRIPTION ===
The software project is a GUI-based scientific image analysis 
system. At the simplest level it provides an application which can 
display a large number of image formats, including but not
limited to standards such as TIFF, JPEG, GIF, PNG, BMP, XPM, etc,
and as such can replace or complement usual applications such
as electric eyes (EE) or XV. It is much faster than XV and more
mature than EE. This project has been in development since 1997
and is the result of an estimated 1000h of work.

As with most image display tools these days, contrast, brightness
and gamma controls are provided, as well as most usual niceties
such as image cropping, a powerful zoom, rotations and symmetries,
etc.

For the image analyst (amateur or profesionnal), this software
can display multi-spectral images (satellite data), 3D images
(medical images), almost all types of pixels (not just 8bit data,
but also 1-bit to 64-bit integers and floating point). It supports
a number of scientific formats as well as just raw data (the
user must provide the interpretation via a dialog).

For analysis, pixel based analysis and segmentation tools are
provided (single variable histogram thresholding, multi-variate
histogram segmentation). Point-based information extraction
is provided, as well as image annnotation, profile information,
and more.

This software is designed to integrate nicely into existing image
analysis/image processing packages as an external viewer. Images
can be uploaded into it via files, pipes, TCP sockets or
shared memory. Most of this software capabilities can be controlled
remotely via an interpreter.

This was a closed-source project which has recently been opened
under the GNU licence. Its main author is Hugues Talbot, from
the Australian Commonwealth Scientific and Industrial Research
Organization (CSIRO). The software can be downloaded from
http://www.cmis.csiro.au/Hugues.Talbot/imview/

=== client/Makefile ===
#
# Simple makefile for demo client code
#

CC=gcc
CFLAGS = -g -DHAVE_POSIX_IPC -DHAVE_SYSV_IPC
LDFLAGS = -ltiff -lm -lrt

SOURCES = democlient.c  imclient.c  liarwrap.c

OBJECTS = ${SOURCES:.c=.o}

TARGET = democlient


ifeq ($(MYZDIR), Solaris)
	CFLAGS += -DPOSIX_IPC_PREFIX='"/"'
	LDFLAGS += -lsocket -lnsl
endif



.c.o:
	${CC} ${CFLAGS} -c $<

${TARGET}: ${OBJECTS}
	${CC} ${CFLAGS} -o $@ ${OBJECTS} ${LDFLAGS}

depend: ${SOURCES}
	${CC} ${CFLAGS} -M $^ > makedepend

clean:
	-rm ${OBJECTS} ${TARGET}

makedepend:
	touch makedepend

include makedepend

=== obj/NT-msvc++/fluid/Makefile ===
# Generated automatically from Makefile.in by configure.
# -*- Makefile -*-
# Hand-generated makefile for the fluid part of ImView
#
# These C++ files are fluid-generated
#


SHELL = /bin/sh
VPATH = ../../../fluid

prefix          = /home/ee02
exec_prefix     = ${prefix}
subdirs         = @subdirs@
top_srcdir      = ../../..
srcdir          = ../../../fluid
bindir          = $(exec_prefix)/bin
infodir         = $(prefix)/info
libdir          = $(prefix)/lib/gnudl
mandir          = $(prefix)/man/man1

# compilers and flags
CC              = gcc
CXX             = c++
CPPFLAGS        =  -D_REENTRANT -DSolaris  -I.   -I/usr/openwin/include -I/home/ee02/include
CFLAGS          = $(CPPFLAGS) -O2 -Wall   -I/usr/openwin/include 
CXXFLAGS        = $(CPPFLAGS) -O2 -Wall -Wno-return-type 
LDFLAGS         =  -L/home/ee02/lib
LIBS            =  -L/usr/openwin/lib -R/usr/openwin/lib
INSTALL         = /usr/local/gnu/bin/install -c

# program to make the archive:
LIBNAME         = @LIBNAME@
LIBCOMMAND      = ar cr
RANLIB          = ranlib
DSONAME         = @DSONAME@
DSOCOMMAND      = @DSOCOMMAND@

# we are building a library

TOP = ${top_srcdir}

TARGET = imview_ui.a

# so as to include the class declarations and config.h
CXXFLAGS += -I${TOP} -I..

FLUIDFILES = \
	printdlg.fl \
	savedlg.fl \
	imginfodlg.fl \
	transfer.fl \
	spectra.fl \
	savespectdlg.fl \
	prntspectdlg.fl \
	profile.fl \
	userprefdlg.fl \
	tmpmsgdlg.fl \
	bivdlg.fl \
	progress.fl \
	arbitrary.fl \
	HelpDialog.fl \
	annotatedlg.fl \
	toolbardlg.fl \
	transfer2.fl

CPPFILES = $(FLUIDFILES:.fl=.cxx)
OBJECTS = $(CPPFILES:.cxx=.o)

## rules for C and H files to be generated from .fl files

.SUFFIXES : .cxx .o .fl .cc

# DEC Unix has some .cc files to be included. Do not compile them
.cc:
	@echo "Do nothing with $<"	

.cxx.o :
	$(CXX) $(CXXTRA) $(CXXFLAGS) -c $<

.fl.hxx:
	fluid -h .hxx -o .cxx -c $<
.fl.cxx:
	fluid -h .hxx -o .cxx -c $<


$(TARGET) : $(OBJECTS)
	$(LIBCOMMAND) $(TARGET) $(OBJECTS)

all: $(TARGET)

test:
	@echo "TOP:\t\t:" $(TOP)
	@echo "Fluid files:\t" $(FLUIDFILES)
	@echo "CPP files:\t" $(CPPFILES)
	@echo "Object files:\t" $(OBJECTS)
	@echo "Target:  \t" $(TARGET)

clean:
	- @rm *.cxx *.hxx *.o *.a

realclean:
	- @rm *.cxx *.hxx *.o *.a *~ *.da *.bb *.bbg .ix[0-9]* .inslog*

depend: $(CPPFILES) ${CFILES}
	$(CXX) $(CXXTRA) $(CXXFLAGS)  -M $^ > makedepend


makedepend:
	touch makedepend

include makedepend

# dependencies

## imview 1.1.9c

=== debian/changelog ===
imview (1.1.9c-9ubuntu1) quantal; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Don't link fltk libraries statically

 -- Michael Terry <mterry@ubuntu.com>  Fri, 13 Jul 2012 11:25:06 -0400

imview (1.1.9c-9) unstable; urgency=low

  * [2c68893] Fix FTBFS with gcc-4.7. Thanks to Sebastian Ramacher. 
              (Closes: #678675)
  * [e2cc2e0] Add myself to uploaders.
  * [8d1263c] Use Standards-Version: 3.9.3, no changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 26 Jun 2012 21:20:36 +0200

imview (1.1.9c-8ubuntu2) precise; urgency=low

  * No change rebuild for imagemagick4 transition

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Nov 2011 11:44:09 -0500

imview (1.1.9c-8ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    + Don't link fltk libraries statically.

 -- Stephan Adig <sh@sourcecode.de>  Mon, 07 Nov 2011 10:18:08 +0000

imview (1.1.9c-8) unstable; urgency=low

  * Fix argument type in nbcopies callbacks (closes: #634418).
  * rules: Add build-arch and build-indep targets.
  * control:
    - Upgrade to standards-version 3.9.2.
    - Require fluid (>= 1.3.0) to build with nbcopies fix.
  * Add debian/source/options with single-debian-patch option.
  * Fix spelling of conjuction => conjunction in manpage.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 23 Sep 2011 17:22:20 +0200

imview (1.1.9c-7ubuntu1) oneiric; urgency=low

  * Don't link fltk libraries statically.
  * Fix argument type in nbcopies callbacks. Closes: #634418, LP: #831168.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Sep 2011 12:46:05 +0200

imview (1.1.9c-7build1) maverick; urgency=low

  * No changes upload for libmagick2 -> libmagick3 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 21 Jul 2010 21:30:07 +0200

imview (1.1.9c-7) unstable; urgency=low

  * imview.desktop:
    - Remove obsolete Encoding key.
    - Remove obsolete 'Application' category from Categories.
  * imview.1: Add a slash escape to '-' chars in manpage to force a correct
    interpretation as a minus.
  * copyright: Fix file reference to GPL-2
  * Fix various string typos reported by lintian.
  * Remove topgit junk.
  * rules: Remove configure.in dependency from configure.original

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 01 Jun 2010 17:52:08 +0200

imview (1.1.9c-6) unstable; urgency=low

  [ Teemu Ikonen ]
  * Update standards-version to 3.8.4.
  * Add debian/source/format file with contents '1.0'.
  * Rename class 'user' to 'interpreter_user'. Thanks to
    Adam D. Barratt <adam@adam-barratt.org.uk> for the patch
    (closes: #574191).

  [ Andreas Tille ]
  * Source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 31 May 2010 09:29:03 +0200

imview (1.1.9c-5) unstable; urgency=low

  * copyright: Update current upstream source location, fix whitespace
  * watch: Disable (but also update the source pattern, in case upstream
    sources start to appear in sourceforge again) (closes: #549940)
  * control:
    - Update to standards version 3.8.3
    - Update debhelper build-dep to version 7.0.50
    - Add misc:Depends substvar to binary package
  * compat: Upgrade to debhelper level 7
  * Add debhelper file imview.install
  * rules: Simplify using dh

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 09 Oct 2009 18:19:18 +0200

imview (1.1.9c-4) unstable; urgency=low

  * configure.in: set ImageMagick CPPFLAGS with pkg-config (closes: #524591)
  * control: Add alternative ImageMagick build-dep, libmagickcore-dev

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 20 Apr 2009 19:30:43 +0200

imview (1.1.9c-3) unstable; urgency=low

  * Merge patches/limits_h: Include limits.h where it's needed
    (closes: #507172)
  * Merge patches/magickcore: Tweak configure.in to work with imagemagick 
    from experimental

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 29 Nov 2008 21:28:31 +0100

imview (1.1.9c-2) unstable; urgency=low

  * Apply imview_huge_image_v2.patch from Daniel Anderberg
    <daniel.anderberg@fagotten.org> fixing segfaults with large
    images in 64-bit platforms (closes: #493097)
  * control:
    - Change Maintainer to Debian Science Maintainers
      <debian-science-maintainers@lists.alioth.debian.org>
    - Add Teemu Ikonen <tpikonen@gmail.com> to Uploaders
    - Add Vcs-Browser and Vcs-Git fields pointing to git.debian.org
    - Upgrade standards-version to 3.8.0
  * Upgrade compat and debhelper build-dep to 6
  * imview.doc-base: Change doc-base section to Science/Data Analysis, fixes
    lintian warning 'doc-base-unknown-section'. Rewrite abstract 
    (closes: #495385)
  * Refactor changes into individual TopGit branches in the git repo,
    these changes should not be visible in the final source package
  * Fix some of the whitespace issues in patches

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 05 Sep 2008 12:11:35 +0200

imview (1.1.9c-1) unstable; urgency=low

  [ Teemu Ikonen ]
  * New upstream version (closes: #455615)
  * Update standards-version to 3.7.3
  * Change menu section to Applications/Science/Data Analysis
  * Moved homepage in description to a proper dpkg field
  * Remove ${misc:Depends} from Depends in debian/control, due to
    dpkg-gencontrol warning
  * Work around lintian debian-rules-ignores-make-clean-error
  * Save upstream configure file during build to keep the Debian diff sane

  [ Andreas Tille ]
  * debian/control
    - Debhelper (>= 5) 
    - Homepage tag moved to source package
    - Reformatted Build-Depends
  * debian/compat: 4 -> 5
  * Added watch file

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2008 09:07:20 +0100

imview (1.1.8-7) unstable; urgency=low

  * Fix FTBS with GCC 4.3 by adding missing includes (closes: #417232)
  * Fix lintian warnings on badly formatted closes-statements in the 
    Debian changelog
  * Update to standards version 3.7.2
  * Update Debian maintainer email

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 29 May 2007 12:44:14 +0200

imview (1.1.8-6) unstable; urgency=low



=== debian/control ===
Source: imview
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>, Andreas Tille <tille@debian.org>, 
 Anton Gladky <gladky.anton@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/imview.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/imview.git
Build-Depends: debhelper (>= 7.0.50~), libfltk1.1-dev, fluid (>= 1.3.0),
 libmagickcore-dev | libmagick9-dev, libxpm-dev, libxft-dev, libxinerama-dev,
 autotools-dev, autoconf
Standards-Version: 3.9.3
Homepage: http://www.cmis.csiro.au/Hugues.Talbot/imview/

Package: imview
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: imview-doc
Description: Image viewing and analysis application
 Imview is an application which
 .
  * Displays a large number of image formats.
  * Displays 2D or 3D (as slices) images with a very good zoom and pan
    feature.
  * Works with multi-spectral, time series or multi-page documents (e.g.:
    Satellite images, TIFF stacks, animated GIFs and heterogeneous
    multi-component files).
  * Displays all pixel types (1-bit to 64-bit data, integer or floating
    point).
  * Arbitrary 1-D profile of 2-D images (or of 2-D slices of 3-D images) can
    be displayed.
  * Has support for arbitrary colourmaps for all pixel types (i.e.: false
    colour display).
  * Has standard image manipulation facilities (brightness/contrast, gamma,
    zoom, crop, rotation, etc).
  * Can be controlled remotely via sockets and text commands (for easy
    integration into various image analysis systems).
  * Images can be uploaded into Imview via sockets or shared memory.
  * And much more!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

configure.original:
	dh_testdir
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	mv configure configure.original
	autoconf

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure.original
	dh build
	touch $@

clean:
	dh clean
	-mv configure.original configure
	-rm -f config.status imview.list imcfg.h null.h stamp-h
	-rm -f Makefile fluid/Makefile io/Makefile server/Makefile
	-rm -f makedepend fluid/makedepend io/makedepend server/makedepend
	-rm -f config.sub config.guess

install: build
	dh install

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installman:
	dh_installman doc/imview.1

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## imview 1.1.9h

=== debian/changelog ===
imview (1.1.9h-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:36 +1100

imview (1.1.9h-4build2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:55:03 +0000

imview (1.1.9h-4build1) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:04:26 +0000

imview (1.1.9h-4) unstable; urgency=medium

  * Team Upload.
  * [192f5ba] Add patch to fix gcc-11 FTBFS (Closes: #984059)
  * [53016e0] Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 14 Mar 2022 02:01:04 +0530

imview (1.1.9h-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: DEB_CPPFLAGS_MAINT_APPEND = -DUSE_X11 in anticipation
    of an upstream patch to imDrawPoint.cxx relying on that definition.
  * debian/patches/00_fltk1.3-compat.patch (new): Cherry-pick upstream's
    FLTK 1.3 compatibility fixes (their revision dcc570).
  * debian/patches/10_non-static.patch: Rebase accordingly.
  * debian/control: Build-depend on libfltk1.3-dev, not libfltk1.1-dev.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 07 Feb 2021 18:01:45 -0500

imview (1.1.9h-2) unstable; urgency=medium

  * Use fake watch file
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix override_dh_fixperms
  * Depends: sensible-utils

 -- Andreas Tille <tille@debian.org>  Wed, 18 Nov 2020 15:52:35 +0100

imview (1.1.9h-1) unstable; urgency=medium

  * New upstream version 1.1.9h
  * Switch to 3.0 (quilt) source format, apply git patch branches (p/*)
    to the master branch in git.
  * Remove debian/source/options and add debian/source/local-options
  * New patch things:
    - typofix: Please lintian, fix typos.
    - makefile: Install to correct dirs and do not modify sources, etc.
  * imview.desktop: Add Keywords.
  * changelog: Lintian-inspired whitespace fixes.
  * control: Accept debhelper 11 backport as build-dep, upgrade to
    standards-version 4.1.4.
  * copyright: Fix lintian warnings on license names etc.
  * rules:
    - Remove dh_installman override, manpage installed by make
    - Clean files under extensions/
    - override dh_fixperms, fix modes under usr/share
    - Add hardening build flags
  * Remove README.Debian

 -- Teemu Ikonen <tpikonen@gmail.com>  Sat, 21 Apr 2018 22:24:02 +0300

imview (1.1.9c-18) unstable; urgency=medium

  * [f572b72] Set compat-level 11
  * [7bee806] Set Standards-Version: 4.1.3
  * [528678e] Move upstream file to upstream/metadata. Minor updates
  * [0a78787] Remove build-dep on autotools-dev
  * [de5d5ce] Remove not used patch
  * [c90ae35] Remove myself from uploaders
  * [1793e5e] Remove menu file
  * [c18dfb5] Update VCS-fields

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Mar 2018 13:00:36 +0100

imview (1.1.9c-17) unstable; urgency=medium

  * [8dd3d46] Fix compilation with gcc-6. (Closes: #831075)
  * [0fb94df] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Aug 2016 18:22:33 +0200

imview (1.1.9c-16) unstable; urgency=medium

  * [ebd7ed0] Remove __DATE__ from imview.cxx.

 -- Anton Gladky <gladk@debian.org>  Wed, 13 Apr 2016 06:38:19 +0200

imview (1.1.9c-15) unstable; urgency=medium

  * [a20577a] Do not set build time in menu.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Apr 2016 20:30:28 +0200

imview (1.1.9c-14) unstable; urgency=medium

  * [3f460ad] Use SOURCE_DATE_EPOCH for the build date.

 -- Anton Gladky <gladk@debian.org>  Sun, 10 Apr 2016 14:02:07 +0200

imview (1.1.9c-13) unstable; urgency=medium

  [ Anton Gladky ]
  * [d63a786] Apply cme fix dpkg.
  * [4800c3e] Enable use of buildflags.

  [ Tobias Frost ]
  * [0f258fd] Fix for libpng1.6 (Closes: #820439)

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Apr 2016 22:57:03 +0200

imview (1.1.9c-12) unstable; urgency=low

  [ Sebastian Ramacher ]
  * [d79ec89] Fix stack smashing in ics-reader.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 20:59:00 +0200

imview (1.1.9c-12~exp1) experimental; urgency=low

  * [f0c3a16] Fix FTBFS on kFreeBSD.
  * [136138c] Update copyright to DEP-5.
  * [175de99] Replace libmagick9-dev by libmagickwand-dev in BD.

 -- Anton Gladky <gladk@debian.org>  Fri, 08 Feb 2013 20:41:29 +0100

imview (1.1.9c-11) unstable; urgency=low

  * [8106c00] Fix FTBFS on kFreeBSD*.

 -- Anton Gladky <gladk@debian.org>  Thu, 07 Feb 2013 22:06:57 +0100

imview (1.1.9c-11~exp1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * [7119f69] Fix dangerous use of strncpy. (Closes: #699912)

  [ Anton Gladky ]
  * [fcb4e4c] Bump Standards-Version: 3.9.4. No changes.
  * [0027d5d] Fix format not a string issue.
  * [7bd739a] Use dh 9, simplify debian/rules.
  * [550a408] Use DEP-5 for copyright file, not finished.

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Feb 2013 22:54:32 +0100

imview (1.1.9c-10) unstable; urgency=low

  [ Anton Gladky ]
  * [f6c935a] Update homepage. (Closes: #681761)
  * [272f222] Add upstream-files.

  [ Michael Terry ]
  * [98e20d5] Prevent link fltk libraries statically.

  [ Sebastian Ramacher ]
  * [5832a2e] Fix stack smashing in ics-reader. (Closes: #699820)

 -- Anton Gladky <gladk@debian.org>  Wed, 06 Feb 2013 19:46:55 +0100

=== debian/control ===
Source: imview
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libfltk1.3-dev,
               fluid,
               libmagickcore-dev | libmagickwand-dev,
               libxpm-dev,
               libxft-dev,
               libxinerama-dev,
               autoconf
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/imview
Vcs-Git: https://salsa.debian.org/science-team/imview.git
Homepage: http://imview.sourceforge.net/
Rules-Requires-Root: no

Package: imview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sensible-utils
Suggests: imview-doc
Description: Image viewing and analysis application
 Imview is an application which
 .
  * Displays a large number of image formats.
  * Displays 2D or 3D (as slices) images with a very good zoom and pan
    feature.
  * Works with multi-spectral, time series or multi-page documents (e.g.:
    Satellite images, TIFF stacks, animated GIFs and heterogeneous
    multi-component files).
  * Displays all pixel types (1-bit to 64-bit data, integer or floating
    point).
  * Arbitrary 1-D profile of 2-D images (or of 2-D slices of 3-D images) can
    be displayed.
  * Has support for arbitrary colourmaps for all pixel types (i.e.: false
    colour display).
  * Has standard image manipulation facilities (brightness/contrast, gamma,
    zoom, crop, rotation, etc).
  * Can be controlled remotely via sockets and text commands (for easy
    integration into various image analysis systems).
  * Images can be uploaded into Imview via sockets or shared memory.
  * And much more!

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --without autoreconf

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DUSE_X11
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_testdir
	-rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess
	mv configure configure.original
	autoconf
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	-mv configure.original configure
	-rm -f config.status imview.list imcfg.h null.h stamp-h
	-rm -f Makefile fluid/Makefile io/Makefile server/Makefile
	-rm -f makedepend fluid/makedepend io/makedepend server/makedepend
	-rm -f extensions/Fl_Native_File_Chooser.o extensions/Makefile
	-rm -f extensions/imview_ext.a extensions/makedepend

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.lut" -o -name "*.html" \) -executable -exec chmod -x \{\} \;
